Download it now!
Bug 133778 - Formula object for square root on alpha symbol is too short.
Summary: Formula object for square root on alpha symbol is too short.
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Formula Editor (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Formula-Editor
  Show dependency treegraph
 
Reported: 2020-06-08 00:43 UTC by andy great
Modified: 2020-09-19 15:56 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Square root symbol too small screen shot (20.80 KB, image/png)
2020-06-08 00:43 UTC, andy great
Details

Note You need to log in before you can comment on or make changes to this bug.
Description andy great 2020-06-08 00:43:47 UTC
Created attachment 161748 [details]
Square root symbol too small screen shot

Inserting formula object,

Insert>object>Formula

with

sqrt {%alpha}

will result in square root symbol being too small for alpha symbol, the square root should be bigger to fit alpha symbol.

Can be replicate in Libreoffice 7.0.0.0.alpha1+ (appimage) and 6.4.4.2 (official package in opensuse).

Operating System: openSUSE Tumbleweed 20200604
KDE Plasma Version: 5.18.5
KDE Frameworks Version: 5.70.0
Qt Version: 5.15.0
Kernel Version: 5.6.14-1-default
OS Type: 64-bit
Processors: 8 × Intel® Core™ i7-3770 CPU @ 3.40GHz
Memory: 7.5 GiB of RAM
Comment 1 V Stuart Foote 2020-06-08 01:28:18 UTC
Root 'node spacing' is tight at 0%, but trivial to adjust in Formula editor's Format -> Spacing  -> 'Root spacing'; set to 10%

Verified there has been no recent change, to the 0% default Root spacing value--but think it could be increased to 10% to good effect.
Comment 2 andy great 2020-06-09 11:21:11 UTC
(In reply to V Stuart Foote from comment #1)
> Root 'node spacing' is tight at 0%, but trivial to adjust in Formula
> editor's Format -> Spacing  -> 'Root spacing'; set to 10%
> 
> Verified there has been no recent change, to the 0% default Root spacing
> value--but think it could be increased to 10% to good effect.

Thanks, I just found out about the spacing option. The default should be 10% not 0%.
Comment 3 V Stuart Foote 2020-06-09 13:23:16 UTC
(In reply to andy great from comment #2)
> (In reply to V Stuart Foote from comment #1)
> > Root 'node spacing' is tight at 0%, but trivial to adjust in Formula
> > editor's Format -> Spacing  -> 'Root spacing'; set to 10%
> > 
> > Verified there has been no recent change, to the 0% default Root spacing
> > value--but think it could be increased to 10% to good effect.
> 
> Thanks, I just found out about the spacing option. The default should be 10%
> not 0%.

Well, we do have to be careful, 10% may be too large. The 0% spacing of this simple sm node of root and a single element is too small, but for a root of a compound node the 0% is fine, and 10% gets too large. So issue is internal to how the sm nodes are being calculated--probably needs additional logic there.
Comment 4 andy great 2020-09-15 14:26:35 UTC
I think this can be close.